QGIS Application - Feature request #1086
Don't change active layer when adding new layer if identify tool is used
Status: Closed

Priority: Low

Assignee: Tim Sutton

Category: GUI

Pull Request or Patch supplied: Resolution:

Easy fix?: No Copied to github as #: 11146
Description

When adding new layer, QGIS automatically selects the new layer. It may not be desirable if identify tool is used, as it works on currently
selected (active) layer.

Consider following workflow:

| have tileindex layer (shp with poligons containing path/filename to rasters) and I'm adding raster layers based on identify tool results.
Click on tileindex_layer.shp -> Identify tool -> click on map -> read raster name -> Add raster layer -> click on map -> OUT OF EXTENT
as newly added raster layer is now active -> start loop from beginning by selecting tileindex_layer. If added layer list is large and | need to
add lot of layers it takes significant time to activate correct layer after every new layer is added.

History

#1 - 2009-08-19 03:08 AM - marisn -

Still not implemented in 1.2.0. Bumping up milestone to 1.3.0.

#2 - 2011-12-16 01:59 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#3 - 2012-03-06 05:12 PM - Alister Hood

- Pull Request or Patch supplied set to No

Also see #5125.
A workaround is to put the tileindex layer inside a layer group, and set the option “Settings>Options>General>Add new layers to selected or current

group”. If you do this the newly added layer will not be selected (at least in QGIS master).

#4 - 2012-04-15 10:13 AM - Giovanni Manghi

- Target version changed from Version 1.7.4 to Version 2.0.0

#5 - 2012-10-06 02:34 AM - Pirmin Kalberer
- Target version changed from Version 2.0.0 to Future Release - Nice to have

#6 - 2014-06-16 07:31 AM - Denis Rouzaud

- Status changed from Open to Closed

fixed in new legend
